
# different arches have differnet oracle versions
%define oracleicname instantclient
%ifarch ppc ppc64
%define oraclever 10.2.0.2
%define oracleicver %{oraclever}
%else
%ifarch ia64
%define oraclever 10.2.0.3
%define oracleicver %{oraclever}
%else
%define ociver 18c
%define oraclever 18.3
%define oracleicname instantclient%{oraclever}
%define oracleicver 18.3.0.0.0
%endif
%endif

Summary: Python interface to Oracle
Name: python-cx_Oracle
Version: 7.2.3
Release: 1%{?dist}
Source0: cx_Oracle-%{version}.tar.gz
License: Python Software Foundation License
Group: Development/Libraries
BuildRoot: %{_tmppath}/cx_Oracle-%{version}-%{release}-buildroot
Prefix: %{_prefix}
Url: http://cx-oracle.sourceforge.net
AutoReq: 0
Provides: python(:DBAPI:oracle) = 2.0
BuildRequires: python
BuildRequires: python-devel
BuildRequires: oracle-%{oracleicname}-devel

Requires: oracle-%{oracleicname}-basic >= %{oracleicver}
Obsoletes: cx_Oracle-12c-py27

%description
Python interface to Oracle conforming to the Python DB API 2.0 specification.
See http://www.python.org/topics/database/DatabaseAPI-2.0.html.


%prep 
%setup -n cx_Oracle-%{version}

#kinda ugly but we need ORACLE_HOME to be set
%if "%{_lib}" == "lib64"
%define oracle_home /usr/lib/oracle/%{oraclever}/client64
%else
%define oracle_home /usr/lib/oracle/%{oraclever}/client
%endif

%build
export ORACLE_HOME=%{oracle_home}
export CFLAGS="$RPM_OPT_FLAGS"
#env CFLAGS="$RPM_OPT_FLAGS" python setup.py build
python setup.py build
%install
export ORACLE_HOME=%{oracle_home}
python setup.py install --root=$RPM_BUILD_ROOT --record=INSTALLED_FILES

%clean
rm -rf $RPM_BUILD_ROOT

%files -f INSTALLED_FILES
%doc LICENSE.txt README.txt  samples test

%changelog
* Tue Oct 01 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.3-1
- Update to 7.2.3

* Mon Aug 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.2-1
- Update to 7.2.2

* Thu Jul 25 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2.1-1
- Update to 7.2.1

* Tue Jul 02 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.2-1
- Update to 7.2

* Wed Apr 24 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.3-1
- Update to 7.1.3

* Tue Mar 12 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.2-1
- Update to 7.1.2

* Tue Feb 19 2019 Jingdong Lu <jingdong.lu@oracle.com> 7.1.1-1
- Update to 7.1.1

* Wed Feb 06 2019 John Mcwalters <john.mcwalters@oracle.com> 7.1-1
- Update to 7.1

* Thu Sep 13 2018 Livy Ge <livy.ge@oracle.com> 7.0-1.0.1
- update oracle-instantclient to 18c

* Thu Sep 13 2018 Jingdong Lu <jingdong.lu@oracle.com> 7.0-1
- Update to 7.0

* Mon Jul 09 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.4.1-1
- Update to 6.4.1

* Mon Jul 02 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.4-1
- Update to 6.4

* Tue May 08 2018 Jingdong Lu <jingdong.lu@oracle.com> 6.3.1-1
- Update to 6.3.1

* Thu May 03 2018 Jacob Wang <jacob.wang@oracle.com> 6.3-1
- rebased to latest stable version 6.3

* Mon Jan 29 2018 Keshav Sharma <keshav.sharma@oracle.com> 6.0.2-2
- renamed to python-cx_Oracle

* Tue Sep 19 2017 Keshav Sharma <keshav.sharma@oracle.com> 6.0.2-1
- rebased to latest stable version

* Wed Jun 07 2017 Michael Mraka <michael.mraka@redhat.com> 5.3-1
- rebased to latest stable version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-5
- we need to use the exact oracle instantclient version

* Thu Jan 29 2015 Tomas Lestach <tlestach@redhat.com> 5.1.2-4
- do not require exact version of oracle instantclient
- fixed tito build warning
- replace legacy name of Tagger with new one

* Fri Mar 15 2013 Michael Mraka <michael.mraka@redhat.com> 5.1.2-3
- fixed builder definition

* Mon Oct 22 2012 Michael Mraka
- Use the ReleaseTagger.
- rebuild with correct vendor

* Mon Oct 08 2012 Jan Pazdziora 5.1.2-1
- Rebase to cx_Oracle 5.1.2.

* Mon Oct 08 2012 Jan Pazdziora 5.0.4-2
- Require latest greatest oracle-instantclient11.2-*.
- %%defattr is not needed since rpm 4.4

* Fri Jan 07 2011 Jan Pazdziora <jpazdziora@redhat.com> 5.0.4-1
- cx_Oracle 5.0.4 with Oracle InstantClient 11g

